import axios from '@/services/axios';

/**
 * 统一处理所有接口请求
 * 参数对象将会替换axios中默认参数中的键值对，其中可包含：
 * method
 * timeout
 * data
 * headers
 * dataType
 */
const server = {
    getfindAll() { // 获取权限列表
        return axios('/authority/findAll', {
            method: 'get'
        });
    },
    postadd(data) { // 新增角色
        return axios('/role/add', {
            method: 'post',
            data: data
        });
    },
    postsearch(data) { // 获取角色列表分页
        return axios('/role/search', {
            method: 'post',
            data: data
        });
    },
    postupdate(data) { // 更新角色权限
        return axios('/role/update', {
            method: 'put',
            data: data
        });
    },
    postUserSearch(data) { // 获取人员列表分页
        return axios('/user/search', {
            method: 'post',
            data: data
        });
    },
    getRolefindAll() { // 获取角色列表
        return axios('/role/findAll', {
            method: 'get'
        });
    },
    postUserAdd(data) { // 新增用户
        return axios('/user/add', {
            method: 'post',
            data: data
        });
    },
    getUnitFindAll() { // 获取所有单位列表
        return axios('/unit/findAll', {
            method: 'get'
        });
    },
    postUnitSearch(data) { // 获取单位列表分页
        return axios('/unit/search', {
            method: 'post',
            data: data
        });
    },
    postUnitAdd(data) { // 新建单位
        return axios('/unit/add', {
            method: 'post',
            data: data
        });
    },
    postUserLogin(data) { // 用户登录
        return axios('/user/login', {
            method: 'post',
            data: data
        });
    },
    postUnitLoad(data) { // 单位导入
        return axios('/unit/upload', {
            method: 'post',
            data: data,
            headers: {'Content-Type': 'multipart/form-data'}
        });
    },
    getProduceFindAll() { // 获取所有产品列表
        return axios('/produce/findAll', {
            method: 'get'
        });
    },
}
export default server;
